# DataGridViewRowEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.2.0.0)

Provides data for row-related [DataGridView](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/datagridview) events.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewRowEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewRowEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](https://3811934619-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FaN9qL9rX9v301dsI6CfD%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media\&token=bc63f9cf-3241-48ac-8cb4-46d1df1d13df)DataGridViewRowEventArgs(dataGrid, rowIndex)

Initializes a new instance of the [DataGridViewRowEventArgs](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewroweventargs) class.

| Name         | Type                                                                                   | Description                                                                                                                                                       |
| ------------ | -------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **dataGrid** | [DataGridView](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/datagridview) | DataGridView that owns the row.                                                                                                                                   |
| **rowIndex** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                            | The index of the [DataGridViewRow](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow) that the event occurred for. |

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception) *dataGrid* is null.
* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) *rowIndex* is -1 or greater than the number of rows.

### ![](https://3811934619-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FaN9qL9rX9v301dsI6CfD%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media\&token=bc63f9cf-3241-48ac-8cb4-46d1df1d13df)DataGridViewRowEventArgs(row)

Initializes a new instance of the [DataGridViewRowEventArgs](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewroweventargs) class.

| Name    | Type                                                                                                                | Description                                                                                                                                          |
| ------- | ------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| **row** | [DataGridViewRow](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow) | The [DataGridViewRow](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow) that the event occurred for. |

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception) *row* is null.

## Properties

### ![](https://3811934619-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FaN9qL9rX9v301dsI6CfD%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media\&token=bc63f9cf-3241-48ac-8cb4-46d1df1d13df)Row

[DataGridViewRow](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow): Returns the [DataGridViewRow](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow) associated with the event.

### ![](https://3811934619-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FaN9qL9rX9v301dsI6CfD%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media\&token=bc63f9cf-3241-48ac-8cb4-46d1df1d13df)RowIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns a value indicating the row index of the cell that the event occurs for.

## Used By

| Name                                                                                                                                        | Description                                                                                                                                            |
| ------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [DataGridViewRowEventHandler](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewroweventhandler) | Represents the method that will handle row-related events of a [DataGridView](https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/datagridview). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewroweventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
